Subject: Re: [devuan-dev] bug#548: #548: Cannot reproduce

From: Olaf Meeuwissen <[email-masked]>
Date: Mon, 22 Feb 2021 08:52:54 +0900

Hi,

Svante Signell writes:

> On Sun, 2021-02-21 at 23:00 +1100, Ralph Ronnquist wrote:
>> You'll need to make sure the kvm group has a gid > 1000.

Mostly correct.  My original report mentioned I had a regular group as
opposed to a system group.  The exact ranges for these are customizable
but the defaults are such that regular groups get 1000-60000.
BTW, the defaults are in /etc/login.defs.  You're looking for GID_MIN
and GID_MAX.  The system group values, SYS_GID_MIN and SYS_GID_MAX are
mentioned in comments.

>> E.g. edit /etc/group and change the kvm line from say 106 to 10666,
>> then
>>
>> # apt-get install --reinstall eudev
>>
>> fails with:
>> ----
>> The group `kvm' already exists and is not a system group. Exiting.
>> dpkg: error processing package eudev (--configure):
>>  installed eudev package post-installation script subprocess returned
>> error exit status 1
>> Processing triggers for man-db (2.8.5-2) ...
>> Errors were encountered while processing:
>>  eudev
>> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> Problem is if non-system groups: input, kvm and render should be
> allowed or not. The whole idea of system group names is that these
> names should be reserved?? WDYT?

I also mentioned this possibility, that kvm might have to be a system
group, in my original issue but could not find any definitive list of
system groups in Debian Policy and didn't look elsewhere.

If these groups must be system groups, then I think the right thing to
do is to log the discrepancy, change the group's ID *and* reassign the
group for all file system entries that have the old ID.

For the time being, I am still using my regular kvm group, i.e. with a
GID > 1000.

Hope this helps,
--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9
 Support Free Software                        https://my.fsf.org/donate
 Join the Free Software Foundation              https://my.fsf.org/join